nn.pp.rccore

## Enum RCCore.Smoothing

- java.lang.Object
- - java.lang.Enum<RCCore.Smoothing>
  - - nn.pp.rccore.RCCore.Smoothing

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.Smoothing>
  Enclosing interface:
    RCCore

      public static enum RCCore.Smoothing
      extends java.lang.Enum<RCCore.Smoothing>

  Enumeration for Smoothing values

  Smoothing is some post-processing that removes some small defects in the video. It can be set to different levels.

  This is only relevant for KX2. For KX3/KX4, smoothing is always disabled.

  See Also:
    `RCCore.getSmoothing()`, `RCCore.setSmoothing(RCCore.Smoothing)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH` High, aggressive Smoothing
    `LOW` Low, moderate Smoothing
    `NONE` Disable Smoothing

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Integer` | `eval()` Get the integer representation of the smoothing value
    `static RCCore.Smoothing` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.Smoothing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOW

          public static final RCCore.Smoothing LOW

      Low, moderate Smoothing

    - #### HIGH

          public static final RCCore.Smoothing HIGH

      High, aggressive Smoothing

    - #### NONE

          public static final RCCore.Smoothing NONE

      Disable Smoothing

  - ### Method Detail

    - #### values

          public static RCCore.Smoothing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.Smoothing c : RCCore.Smoothing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.Smoothing valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### eval

          public abstract java.lang.Integer eval()

      Get the integer representation of the smoothing value
      Returns:
        the integer representation of the smoothing value

Copyright © 2025 Raritan Inc. All Rights Reserved.